Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2221905 - python3-dnf is needlessly marked as protected
Summary: python3-dnf is needlessly marked as protected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf5
Version: 39
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Evan Goode
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-07-11 08:44 UTC by Miro Hrončok
Modified: 2023-09-24 00:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-24 00:17:03 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2023-07-11 08:44:57 UTC
python3-dnf is marked as protected, but it should not be

Reproducible: Always

Steps to Reproduce:
1. # dnf install dnf-3
2. # dnf remove dnf-3
Actual Results:  
Failed to resolve the transaction:
Problem: The operation would result in removing the following protected packages: python3-dnf


Expected Results:  
dnf5 should uninstall dnf-3 just fine

dnf5-5.0.15-3.fc39.x86_64

Comment 1 Fedora Release Engineering 2023-08-16 08:12:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 2 Fedora Update System 2023-09-11 09:52:10 UTC
FEDORA-2023-f3e1288254 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-f3e1288254

Comment 3 Fedora Update System 2023-09-12 01:23:12 UTC
FEDORA-2023-f3e1288254 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-f3e1288254`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-f3e1288254

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-09-22 01:40:54 UTC
FEDORA-2023-a891027f9c has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-a891027f9c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-a891027f9c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-09-24 00:17:03 UTC
FEDORA-2023-a891027f9c has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.